namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record ProductCreateCategoryCommand(
    string Name,
    string Description,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<ProductCategoryLDto>;

public sealed record ProductUpdateCategoryCommand(
    Guid Id,
    string Name,
    string Description,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<bool>;

public sealed record ProductDeleteCategoryCommand(Guid Id) : IRequest<bool>;